package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class TaskMaterials extends BaseMesPageBean {

    private List<ListBean> list;


    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * id : 0408f4a4694242719279cd07e3666ef1
         * createDateTime : null
         * updateDateTime : null
         * woId : 570f78e7e1cb11ea8334fa163e1166bd
         * actId : 42ddf9651f3f4507a191605536648e44
         * actNum : RW00001
         * directReq : true
         * itemCode : 7103040272T
         * itemName : 锆碳快换浸入式水口J195-1
         * itemQty : 11.0
         * unitCost : null
         * orderUnit : null
         * lineCost : null
         * locationCode : null
         * locationName : null
         * storelocSite : null
         * resType : null
         * vendorCode : null
         * requireDate : null
         * requestBy : null
         * isSueTo : null
         * siteId : null
         * siteCode : null
         * remark : null
         * createBy : 398c852b38e911ea8334fa163e1166bd
         * changeBy : null
         * delete : false
         */

        private String id;
        private Object createDateTime;
        private Object updateDateTime;
        private String woId;
        private String actId;
        private String actNum;
        private boolean directReq;
        private Boolean sueType;
        private String itemCode;
        private String itemName;
        private double itemQty;
        private Object unitCost;
        private Object orderUnit;
        private Object lineCost;
        private Object locationCode;
        private String locationName;
        private Object storelocSite;
        private Object resType;
        private Object vendorCode;
        private Object requireDate;
        private Object requestBy;
        private Object isSueTo;
        private Object siteId;
        private Object siteCode;
        private Object remark;
        private String createBy;
        private Object changeBy;
        private boolean delete;

        public Boolean getSueType() {
            return sueType;
        }

        public void setSueType(Boolean sueType) {
            this.sueType = sueType;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(Object createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Object getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Object updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getWoId() {
            return woId;
        }

        public void setWoId(String woId) {
            this.woId = woId;
        }

        public String getActId() {
            return actId;
        }

        public void setActId(String actId) {
            this.actId = actId;
        }

        public String getActNum() {
            return actNum;
        }

        public void setActNum(String actNum) {
            this.actNum = actNum;
        }

        public boolean isDirectReq() {
            return directReq;
        }

        public void setDirectReq(boolean directReq) {
            this.directReq = directReq;
        }

        public String getItemCode() {
            return itemCode;
        }

        public void setItemCode(String itemCode) {
            this.itemCode = itemCode;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }

        public double getItemQty() {
            return itemQty;
        }

        public void setItemQty(double itemQty) {
            this.itemQty = itemQty;
        }

        public Object getUnitCost() {
            return unitCost;
        }

        public void setUnitCost(Object unitCost) {
            this.unitCost = unitCost;
        }

        public Object getOrderUnit() {
            return orderUnit;
        }

        public void setOrderUnit(Object orderUnit) {
            this.orderUnit = orderUnit;
        }

        public Object getLineCost() {
            return lineCost;
        }

        public void setLineCost(Object lineCost) {
            this.lineCost = lineCost;
        }

        public Object getLocationCode() {
            return locationCode;
        }

        public void setLocationCode(Object locationCode) {
            this.locationCode = locationCode;
        }

        public String getLocationName() {
            return locationName;
        }

        public void setLocationName(String locationName) {
            this.locationName = locationName;
        }

        public Object getStorelocSite() {
            return storelocSite;
        }

        public void setStorelocSite(Object storelocSite) {
            this.storelocSite = storelocSite;
        }

        public Object getResType() {
            return resType;
        }

        public void setResType(Object resType) {
            this.resType = resType;
        }

        public Object getVendorCode() {
            return vendorCode;
        }

        public void setVendorCode(Object vendorCode) {
            this.vendorCode = vendorCode;
        }

        public Object getRequireDate() {
            return requireDate;
        }

        public void setRequireDate(Object requireDate) {
            this.requireDate = requireDate;
        }

        public Object getRequestBy() {
            return requestBy;
        }

        public void setRequestBy(Object requestBy) {
            this.requestBy = requestBy;
        }

        public Object getIsSueTo() {
            return isSueTo;
        }

        public void setIsSueTo(Object isSueTo) {
            this.isSueTo = isSueTo;
        }

        public Object getSiteId() {
            return siteId;
        }

        public void setSiteId(Object siteId) {
            this.siteId = siteId;
        }

        public Object getSiteCode() {
            return siteCode;
        }

        public void setSiteCode(Object siteCode) {
            this.siteCode = siteCode;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public Object getChangeBy() {
            return changeBy;
        }

        public void setChangeBy(Object changeBy) {
            this.changeBy = changeBy;
        }

        public boolean isDelete() {
            return delete;
        }

        public void setDelete(boolean delete) {
            this.delete = delete;
        }
    }
}
